org.apache.hc.client5.http.impl.auth

## Class AuthChallengeParser

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.AuthChallengeParser

    public class AuthChallengeParser
    extends Object

Authentication challenge parser.

Since:
  5.0

### Field Summary

Fields
`static AuthChallengeParser` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`AuthChallengeParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<AuthChallenge>` `parse(ChallengeType challengeType, CharSequence buffer, ParserCursor cursor)` Parses the given sequence of characters into a list of `AuthChallenge` elements.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final AuthChallengeParser INSTANCE

### Constructor Detail

#### AuthChallengeParser

    public AuthChallengeParser()

### Method Detail

#### parse

    public List<AuthChallenge> parse(ChallengeType challengeType,
                                     CharSequence buffer,
                                     ParserCursor cursor)
                              throws ParseException

Parses the given sequence of characters into a list of `AuthChallenge` elements.

Parameters:
  `challengeType` - the type of challenge (target or proxy).
  `buffer` - the sequence of characters to be parsed.
  `cursor` - the parser cursor.
Returns:
  a list of auth challenge elements.
Throws:
  `ParseException`